Qt 5.9 | Qt 3D | C++ Classes | PropertyReaderInterface

Qt 5.9.9 Reference Documentation

# PropertyReaderInterface Class

(Qt3DRender::PropertyReaderInterface)

- List of all members, including inherited members

## Public Functions

virtual | ~PropertyReaderInterface()
virtual QVariant | readProperty(const QVariant &v) = 0

## Member Function Documentation

### `[virtual]` PropertyReaderInterface::~PropertyReaderInterface()

Destroys the instance of PropertyReaderInterface. The destructor is virtual.

### `[pure virtual]` QVariant PropertyReaderInterface::readProperty(const QVariant &v)

Returns the property identifies by v